com.r3corda.core.node.services / ReadOnlyTransactionStorage

# ReadOnlyTransactionStorage

`interface ReadOnlyTransactionStorage`

Thread-safe storage of transactions.

### Functions

getTransaction | `abstract fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.

### Inheritors

TransactionStorage | `interface TransactionStorage : ReadOnlyTransactionStorage` Thread-safe storage of transactions.